Package org.eclipse.emf.cdo.explorer

# Interface CDOExplorerManager<T extends CDOExplorerElement>

All Superinterfaces:
  `IAdaptable`, `org.eclipse.net4j.util.container.IContainer<T>`, `org.eclipse.net4j.util.event.INotifier`

All Known Subinterfaces:
  `CDOCheckoutManager`, `CDORepositoryManager`

public interface CDOExplorerManager<T extends CDOExplorerElement> extends org.eclipse.net4j.util.container.IContainer<T>, IAdaptable
A common base interface for `repository managers` and `checkout managers`.

Since:
  4.4
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`CDOExplorerManager.ElementsChangedEvent`
An `event` fired from `explorer managers` when their `elements` have changed.

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends Object>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`String`
`getUniqueLabel(String label)`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Method Details

### getUniqueLabel

String getUniqueLabel(String label)

Since:
  4.5